5 Joomla Templates Updated with Joomla 4, Latest Helix3, SP Page Builder, and More - JoomShaper

5 Joomla Templates Updated with Joomla 4, Latest Helix3, SP Page Builder, and More

14 March 2022
Hits 4,065
3 min read
5 Joomla Templates Updated with Joomla 4, Latest Helix3, SP Page Builder, and More

Hey Joomlers! We are once again here to stir up your day with some great news! A new batch of freshly updated templates is already here and in your grasp! So in case you hadn’t found your favorite templates in the last batch of updates then this one might just be the one for you!

Today, we are absolutely delighted to bring to you another batch of updated templates with the latest SP Page Builder, Helix 3, Joomla 4 compatibility, and more. Apart from these, the updated template versions are here to provide you with an enhanced overall experience. Excited to explore further? Let’s dive in together!

Updated Joomla Templates in This Batch

This batch of updated Joomla templates will be greeting you with five Joomla templates, each one upgraded to match the latest Joomla 3 & 4 compatibility, power of SP Page Builder & Helix3 latest versions. In addition to that, all know annoying bugs have also been taken care of.

The updated templates along with their latest changelog are as follows:

Floox - Multipurpose Joomla Template for Business, Corporate, and Agency Sites

Floox

Floox v2.0.0 Changelog:

  • Update: Latest version of Joomla 3 - v3.10.6
  • Update: Latest version of Joomla 4 - v4.1.0
  • Update: Latest version of Helix3 3.0.2
  • Update: Later version of SP Page Builder 3.8.5
  • Fix: All known bugs

Download FlooxLive Demo

Yoga - Joomla Template for Gym, Sport, Fitness Club

Yoga

Yoga v2.0.0 Changelog:

  • Update: Latest version of Joomla 3 - v3.10.6
  • Update: Latest version of Joomla 4 - v4.1.0
  • Update: Latest version of Helix3 3.0.2
  • Update: Latest version of LMS 4.0.4
  • Update: Later version of SP Page Builder 3.8.5
  • Fix: All known bugs

Download YogaLive Demo

Spectrum - Premium Joomla Template for Business, Corporate, Agency

Spectrum

Spectrum v2.0.0 Changelog:

  • Update: Latest version of Joomla 3 - v3.10.6
  • Update: Latest version of Joomla 4 - v4.1.0
  • Update: Latest version of Helix3 3.0.2
  • Update: Later version of SP Page Builder 3.8.5
  • Fix: All known bugs

Download SpectrumLive Demo

Educon - Modern Joomla Template for University, College & School

Educon

Educon v4.0.0 Changelog:

  • Update: Latest version of Joomla 3 - v3.10.6
  • Update: Latest version of Joomla 4 - v4.1.0
  • Update: Latest version of LMS 4.0.4
  • Update: Latest version of Helix3 3.0.2
  • Update: Later version of SP Page Builder 3.8.5
  • Fix: All known bugs

Download EduconLive Demo

Onepage - Responsive Joomla Onepage Template

OnePage

Onepage v3.0.0 Changelog:

  • Update: Latest version of Joomla 3 - v3.10.6
  • Update: Latest version of Joomla 4 - v4.1.0
  • Update: Latest version of Helix3 3.0.2
  • Update: Later version of SP Page Builder 3.8.5
  • Fix: All known bugs

Download OnepageLive Demo

Our team is working tirelessly to help bring you the best Joomla web building experience. So if you haven’t found your desired template in this batch of updates then don’t be disappointed. Keep your eyes on our website and future blogs to find out more! Upgrade your templates to this latest version and keep building your website without hindrance! Also, don’t forget to leave your thoughts in the comments below and let us know which templates you would love to have in our next updates. Good luck!

Sreema

Sreema

Technical Content Writer
Sreema is a technical content writer at JoomShaper. In her copious free time she enjoys good food with good friends and loves moonlit strolls on the beach!
Chris
Chris
6 months ago
I hope the issue in PB 3.8.5 has been fixed before updating these so you can edit modules properly in the backend?
Muntasir Sakib
Muntasir Sakib
6 months ago
The issue has already been solved and will be updated in the next version within a few days. Thanks!
‏‏‎ ‎J‏‏‎‎e‏‎‏‏‎‎n‏‏‎‎s‏‏‎ ‎
‏‏‎ ‎J‏‏‎‎e‏‎‏‏‎‎n‏‏‎‎s‏‏‎ ‎
6 months ago
The templates are not fully 4.1 compatible! If you are already using php8 you are not able to use the templates with 4.1! You need to downgrade php to 7.x or downgrade Joomla below 4.1.
All templates with Helix 3.0.2 are affected.

https://github.com/JoomShaper/Helix3/pull/112
R
Rabah
6 months ago
Great news! thank you ...
S
Steve
6 months ago
Is there a reason that these templates were not updated to Helix Ultimate at the same time as Joomla 4?
What is the support lifespan for Helix 3?
Thanks
‏‏‎ ‎J‏‏‎‎e‏‎‏‏‎‎n‏‏‎‎s‏‏‎ ‎
‏‏‎ ‎J‏‏‎‎e‏‎‏‏‎‎n‏‏‎‎s‏‏‎ ‎
6 months ago
> What is the support lifespan for Helix 3?

If you check the repository at github and the activity.
It is already EOL from this perspective.
The developers last responded in the repository in 2018.
see: [](https://github.com/JoomShaper/Helix3/issues)
Until 2017 there were still regular new releases and since 2017 the last update took years.
see: [](https://github.com/JoomShaper/Helix3/releases)

Also based on the forum, I would not expect any new releases in the next few months.
Maybe when 7.4 is completely EOL in November, an update could happen.
S
Steve
6 months ago
Jens,
Thank you for the reply.
This was my fear - that Helix 3 has no future.
Therefore, why would anyone consider purchasing the templates that have been updated to Joomla 4.x but still remain on Helix 3?
‏‏‎ ‎J‏‏‎‎e‏‎‏‏‎‎n‏‏‎‎s‏‏‎ ‎
‏‏‎ ‎J‏‏‎‎e‏‎‏‏‎‎n‏‏‎‎s‏‏‎ ‎
6 months ago
Greetings Steve,
from a none technical point of view.
A normal User won't notice this difference, he will only see a very nice looking template with Joomla 4.1 support.

For example:

Floox v2.0.0 Changelog:
Update: Latest version of Joomla 3 - v3.10.6
Update: Latest version of Joomla 4 - v4.1.0
Update: Latest version of Helix3 3.0.2
Update: Later version of SP Page Builder 3.8.5
Fix: All known bugs

As Customer without any technical background, this looks awesome.
Latest versions of Joomla and the Extensions Page-Builder and Helix3.
If you don't know that Helix3 is old and Helix Ultimate is the newest version or generation, you could think Helix3 sounds like a relatively new or up to date.

The selling page also implies, it is a maintained template and up to date.
https://www.joomshaper.com/joomla-templates/floox
-> Updated On 14 March 2022

None of the Helix3 Templates are worth buying.
Helix Ultimate Templates you can go for it, but not Helix3.
Helix3 has too many problems.
For example: PHP8 support is missing, not possible to use J4.1 and Helix3 with PHP8 without editing files by your self.

What a normal Customer also want notice, is the missing accessibility compliance.
WCAG, ADA or BITV "german regulation"
For example: Blind people can't use the megamenu, because the tab and arrow navigation is not working probably. "only first level"

Unfortunately, the support team and Paul put off that it takes time and can not be implemented immediately. "for around a year, since the support forum exists"

for example:
https://www.joomshaper.com/forum/question/12534
https://www.joomshaper.com/forum/question/10005
https://www.joomshaper.com/forum/question/8579
https://www.joomshaper.com/forum/question/5183
https://www.joomshaper.com/forum/question/4662
https://www.joomshaper.com/forum/question/3930 // hidden Question
https://www.joomshaper.com/forum/question/2966
https://www.joomshaper.com/forum/question/1977

*****
offtopic: Or you won't see it, because you live in germany and cloudflare blocks you from seeing the thumbnail. ;)
> "https://snipboard.io/MXWdfK.jpg local internet connection"
> "https://snipboard.io/zmSIjF.jpg mobile lte"

Already reported, because it is working for Paul, they told me, it is a problem on my side, a other customer confirmed the problem, but Paul insisted it is a problem on our side.
But Cloudflare also Blocks Questions, when you simply write a javascript for showing purpose, where the problem is.
"Quote: Yes, you are right, script tags are not supported. Would you please share a screencast of the whole scenerio"
Also tested with a VPN, from other countries it worked without any problems.
The CloudFlare Firewall is simply configured too strict and is falseblocking customers. :(
*****
S
Steve
6 months ago
I agree Jens, there is very little point in purchasing templates that have no foreseeable future.
The Floox template has a blog layout that I treally like but unfortunately, being Helix 3, it is a none-starter...
‏‏‎ ‎J‏‏‎‎e‏‎‏‏‎‎n‏‏‎‎s‏‏‎ ‎
‏‏‎ ‎J‏‏‎‎e‏‎‏‏‎‎n‏‏‎‎s‏‏‎ ‎
6 months ago
On Trustpilot, one customer has questioned the lifetime license.

https://de.trustpilot.com/reviews/61d338019f60695a250840aa

Lets see, what joomshaper is answering.
https://www.joomshaper.com/forum/question/12639#qa-answer-62825
S
Se
6 months ago
Hey Friends,

J2Store has updated to J4.. What about Indigo Template. Would you please update that too?

Best Wshes
thanhhx57
thanhhx57
1 month ago
Please update Doctor template (https://www.joomshaper.com/joomla-templates/doctor) to Joomla 4. Thanks!

Sign up for our newsletter

Don’t miss any updates of our new templates and extensions and all the astonishing offers we bring for you.